Skip to main content
aboutsummaryrefslogtreecommitdiffstats
AgeCommit message (Collapse)AuthorFilesLines
2017-09-28Add ALL-SYSTEM as root modules in all packagesMarkus Knauer1-0/+1
For using Eclipse on Java 9 ALL-SYSTEM need to be configured for the root modules. Add '--add-modules=ALL-SYSTEM' to the eclipse.ini of all packages. Bug: https://bugs.eclipse.org/bugs/show_bug.cgi?id=522634 Change-Id: Id2422ca93a5bc4b238c9e188f75ac4ff21709936 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com> (cherry picked from commit 51c86287889f77524327c1af40714cb4813281e7)
2017-08-14Update for Eclipse Photon (4.8.0) ReleaseMarkus Knauer1-4/+4
Update all pom.xml, feature.xml, epp.product, MANIFEST.MF, p2.inf files to the new version 4.8.0 and to the new Simultaneous Release name of Photon. Change-Id: I081a54ddac2ee61592bac9a61eae83906728d2e1 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2017-06-02[dsl] Added LSP4J to the packageDennis Huebner1-1/+2
Change-Id: I4ce1ad54ae3e574e4ff2164d0ca647968af7abc1
2017-05-03Bug 514502 - Make default workspace name be "eclipse-workspace"Mickael Istria1-0/+1
Signed-off-by: Mickael Istria <mistria@redhat.com>
2017-03-16Bug 510460 - Custom splash for EPP, containing month/yearMickael Istria1-0/+2
EPP and Platform cannot share splash any more and get this fixed, as per comment https://bugs.eclipse.org/bugs/show_bug.cgi?id=503070#c53 . So EPP needs to set up its own splashscreens. Change-Id: Icc831141667d4135d926509cdfcd98aa0f4c11d9 Signed-off-by: Mickael Istria <mistria@redhat.com> Also-By: Markus Knauer <mknauer@eclipsesource.com>
2016-08-11Update to Oxygen / EPP 4.7.0Markus Knauer1-4/+4
Update all the versions, strings, URLs, etc. to the next Simultaneous Release called 'Eclipse Oxygen'. Change-Id: I296344c98fd324f29497f5bd210c3abcc30a6022 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2016-05-05Bug 490341 - Enable StringDeduplication in EPP packagesAlex Blewitt1-0/+2
There are a significant number of duplicated String instances in Eclipse, primarily from the extension registry and other XML based files. Using StringDeduplication will allow the underlying character arrays to be uniqued without requiring an explicit intern operation. Since StringDeduplication only works when the G1 garbage collector is used, enable this as well. Both G1 and StringDeduplication were added to OpenJDK in Java 8, and there is a minium for Java 8 to run the Eclipse IDE as well as the -Dosgi.requiredJavaVersion specified in these product files. All packages have this define this in their common section for Java VM arguments, *except* the Parallel package that uses OS-specific sections to define JVM arguments. Change-Id: I0af43c31b560a2240725b7dce89bba0cd004ef88 Signed-off-by: Alex Blewitt <alex.blewitt@gmail.com>
2016-02-22DSL: Move package content definition from feature to productMarkus Knauer1-2/+5
By using the product definition (instead of the EPP package feature) for defining the product content it is possible to install some of them as root level feature that can be updated and/or removed independently from the package. Since the DSL package already moved some of the dependencies to the product definition, no need to change anything substantial here, just doing some minor changes such as adding the EPP common feature to the product, and adding the platform dependency like in the other packages. Bug 332989 - Allow parts of a package to upgraded or removed https://bugs.eclipse.org/bugs/show_bug.cgi?id=332989 Change-Id: I5b28d537a7c810a2be3ab0f5d723e4029dcbdad4 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2015-11-12Require Java Version 1.8 or higher in all EPP packagesMarkus Knauer1-12/+16
Bug 481997 - [Neon] Require Java Version 1.8 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=481997 Change-Id: Iadc5430385aa4b067a5285ed2986cecb71849b9f Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2015-10-05[dsl] Xtext SDK requires Xtend SDK. No need to list it as rootDennis Huebner1-1/+0
Change-Id: If03cf83c5fe1d7bcef9ea1a737c4d163e1caeaa0
2015-10-02[dsl] Added buildship + install some features as root Dennis Huebner1-0/+5
Change-Id: Ib44af0c7eb0bceaecec7fd82dca54ff00e6b74cf Signed-off-by: Dennis Huebner <dennis.huebner@itemis.de>
2015-07-15Upgrade configuration and version numbers for Neon (M0)Markus Knauer1-2/+2
- Increment version numbers from 4.5.0 to 4.6.0 - Update strings with versions, using neon-M0 temporarily - Update parent pom.xml - Clean up p2.inf files Change-Id: I9d45fcd400eb4b6dac1226d97d6c5018d149b6dd Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2015-05-07Ensure packages are using at least -Xms256m and -Xmx1024mMarkus Knauer1-1/+1
Memory availability has changes, and memory consumption is generally higher than it used to be. While impossible to find the perfect memory settings that work best for everyone on every computer with every package, it still makes sense to increase the current settings. This change updates packages to the following values unless they specify different (higher) values: - Increasing Xms from -Xms40m to -Xms256m - Increasing Xmx from -Xmx512m to -Xmx1024m Bug 459596: [EPP] Default heap max (512MB) is too small https://bugs.eclipse.org/bugs/show_bug.cgi?id=459596 Change-Id: If617446f1e7e0a39949d92e68e8ea6905f0f3f72 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2015-05-07Set VM parameters in remaining .product files to JavaSE-1.7Markus Knauer1-4/+4
The DSL, Java, JavaEE, Modeling, Reporting packages were still using JavaSE-1.6 in the .product definitions. With the OSGi argument osgi.requiredJavaVersion set to 1.7 for all packages, the VM section should reflect that change. Change-Id: If4af86ffd74050c67ea9028a96622ba0d9eca5b7 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2015-05-06Require Java version 1.7 in *all* packagesMarkus Knauer1-1/+1
Changed packages: DSL, Java, JavaEE, Modeling, Reporting All other packages are already requiring at least Java 1.7. Bug 464771: Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=464771 Change-Id: Ifb13939d30fa0167b44c8e6a3a08bf3b0b389860 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-08-07Upgrade configuration files from Luna to Eclipse Mars (4.5.0)Markus Knauer1-2/+2
Change-Id: Icea756ad80e1cb9dd34db86615cf0d50c55e8ddf Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-07Update images/icons to latest from Platform 4.4.0M7Markus Knauer1-1/+1
Some images and icons have changed upstream. This requires an update of all those branding plug-ins that use the same images as the Platform. Exceptions are Java and the Java EE packages. - Update eclipse16.png - Update intro-eclipse.png (used to show the old Eclipse logo) - Update and use png instead of gif for about image: eclipse_lg.png This required changes in plugin.xml, build.properties, epp.product Change-Id: I3e2971b559311798404010550809d8325d12e63a Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-07Add license information to all product definitionsMarkus Knauer1-0/+129
In the past (<4.4/Luna) the license information was part of the features only. With the major clean-up in Luna it makes sense to (manually) add the license to the product definitions, too. Change-Id: I7085266edcc95e23a69784925ab88a34bf3bcc40 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-03-01Update product about text and visual startup settingsMarkus Knauer1-2/+2
- Update aboutText property in plugin.xml with new text from SDK - Update about.properties: new Eclipse URL and remove Apache reference - Adjust startupForegroundColor and startupMessageRect in plugin.xml epp.product Change-Id: Ia763f6916e5c1d85476a06d0cc7b7d15ac84ba67
2014-02-02Remove .gif icons from all packages and use .png insteadMarkus Knauer1-2/+1
- remove the 16, 32, 48 pixel gif files - update build.properties, plugin.xml, and synchronise .product files Change-Id: Iad04732de64124535470b825b20066d8a057263a
2014-01-20foobarMarkus Knauer1-1/+60
2013-11-27Rename symbolic links of product configuration to epp.productMarkus Knauer1-0/+1

    Back to the top